Skip to main content
GET
/
database
/
v1
/
projects
/
{id}
/
branches
curl -X GET "https://api.case.dev/database/v1/projects/%3Cstring%3E/branches" \ -H "Authorization: Bearer $CASEDEV_API_KEY"
{
  "branches": [
    {
      "id": "branch_main_123",
      "name": "main",
      "isDefault": true,
      "parentBranchId": null,
      "status": "active",
      "createdAt": "2025-01-10T08:00:00Z",
      "updatedAt": "2025-01-15T10:30:00Z"
    },
    {
      "id": "branch_staging_456",
      "name": "staging",
      "isDefault": false,
      "parentBranchId": "branch_main_123",
      "status": "active",
      "createdAt": "2025-01-12T10:00:00Z",
      "updatedAt": "2025-01-15T10:30:00Z"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.case.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key starting with sk_case_

Path Parameters

id
string
required

Database project ID

Response

Branches retrieved successfully

branches
object[]
required